CVE-2020-21529

NameCVE-2020-21529
Descriptionfig2dev 3.2.7b contains a stack buffer overflow in the bezier_spline f ...
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2778-1, ELA-493-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
fig2dev (PTS)stretch1:3.2.6a-2+deb9u3vulnerable
stretch (security)1:3.2.6a-2+deb9u4fixed
buster1:3.2.7a-5+deb10u4vulnerable
bullseye1:3.2.8-3fixed
bookworm, sid1:3.2.8b-1fixed
transfig (PTS)jessie, jessie (lts)1:3.2.6a-2~deb8u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
fig2devsourcestretch1:3.2.6a-2+deb9u4DLA-2778-1
fig2devsource(unstable)1:3.2.8-1
transfigsourcejessie1:3.2.6a-2~deb8u1ELA-493-1
transfigsource(unstable)(unfixed)

Notes

[buster] - fig2dev <no-dsa> (Minor issue)
https://sourceforge.net/p/mcj/tickets/65/
https://sourceforge.net/p/mcj/fig2dev/ci/d70e4ba6308046f71cb51f67db8412155af52411/ (3.2.8)
https://sourceforge.net/p/mcj/fig2dev/ci/e3cee2576438f47a3b8678c6960472e625f8f7d7/ (3.2.8)

Search for package or bug name: Reporting problems